Check Point Advisories

Portable SDK for UPnP Devices libupnp Root Device Service Name Stack Buffer Overflow (CVE-2012-5960)

Check Point Reference: CPAI-2013-1312
Date Published: 24 Feb 2013
Severity: Critical
Last Updated:
Source: CVE-2012-5960
Protection Provided by:

Security Gateway
R75

Who is Vulnerable? Linux SDK for UPnP libupnp All versions
Portable SDK for UPnP libupnp Prior to 1.6.18
Vulnerability Description A stack buffer overflow vulnerability exists in Intel's SDK for UPnP and the Portable SDK for UPnP. The vulnerability is due to a boundary error while parsing service name URIs in the function called from the SSDP protocol parser. A remote attacker can exploit this vulnerability to execute arbitrary code within the context of the vulnerable service.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your product to the latest update. For information on how to update , go to SBP-2006-05, Protection tab and select the version of your choice.

Security Gateway R75 / R71 / R70

  1. In the IPS tab, click Protections and find the Portable SDK for UPnP Devices libupnp Root Device Service Name Stack Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

SmartView Tracker will log the following entries:
Attack Name: Content Protection Violation
Attack Information: Portable SDK for UPnP Devices libupnp Root Device Service Name Stack Buffer Overflow

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO